Package com.smartgwt.client.types

# Enum PropertyIdentifier

java.lang.Object
java.lang.Enum<PropertyIdentifier>
com.smartgwt.client.types.PropertyIdentifier

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<PropertyIdentifier>`, `Constable`

public enum PropertyIdentifier extends Enum<PropertyIdentifier> implements ValueEnum
A means of identifying the properties in an exported dataset - either the property name or its title.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NAME`
  Identify properties by internal name
  `TITLE`
  Identify properties by localized descriptive title

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static PropertyIdentifier`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PropertyIdentifier[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NAME

    public static final PropertyIdentifier NAME
    Identify properties by internal name

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "name".

  - ### TITLE

    public static final PropertyIdentifier TITLE
    Identify properties by localized descriptive title

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "title".

- ## Method Details

  - ### values

    public static PropertyIdentifier[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PropertyIdentifier valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`